library(bnlearn)
library(beepr)

data = read.csv("file:///E:/Dataset/Binary Case Control/BmergedCleanCaseControl.csv")
n = 25
dataCut = data[1:n]

bn_df = data.frame(dataCut)
bn_df = bn_df[-c(1)]
bn_df[2] = lapply(bn_df[2], as.numeric)
bn_df[3] = lapply(bn_df[3], as.factor)
bn_df[4:n-1] = lapply(bn_df[4:n-1], as.factor)

mmhcCV = bn.cv(bn_df, bn = "mmhc", k = 4)
print(mmhcCV)
beep(2)

warning()


