############################################
#########Turn Dataset into Binary###########
############################################
library(ArrayBin) 
data = read.csv("file:///F:/Dataset/Case Control 1/mergedCleanCaseControl.csv") #Read dataset
tdata = t(as.data.frame(data)) #Transpose Dataset
write.csv(tdata, file ="F:/Dataset/Case Control 1/TmergedCleanCaseControl.csv" ) #Write Dataset to free up memory
data2 = read.csv("file:///F:/Dataset/Case Control 1/TmergedCleanCaseControl.csv") #Read in transposed Dataset

data2[3] = lapply(data2[3], as.numeric) #Change Age from int to numeric
data2[4] = lapply(data2[4], as.factor) #Change Gliblastoma status from int to 2 level factor
b = binarize.array(data2[5: 15182]) #Turn expression data to binary
write.csv(b, file ="file:///F:/Dataset/Binary Case Control/BmergedCleanCaseControl.csv") #Write Csv

